import request from '@/utils/request'

// 查询会员营期列表
export function listPeriod(query) {
  return request({
    url: '/course/period/list',
    method: 'get',
    params: query
  })
}
// 查询会员营期列表
export function getDays(query) {
  return request({
    url: '/course/period/getDays',
    method: 'get',
    params: query
  })
}

// 自定义查询主列表分页
export function pagePeriod(data) {
  return request({
    url: '/course/period/page',
    method: 'post',
    data: data
  })
}

// 查询会员营期详细
export function getPeriod(periodId) {
  return request({
    url: '/course/period/' + periodId,
    method: 'get'
  })
}

// 新增会员营期
export function addPeriod(data) {
  return request({
    url: '/course/period',
    method: 'post',
    data: data
  })
}

// 新增会员营期
export function addCourse(data) {
  return request({
    url: '/course/period/addCourse',
    method: 'post',
    data: data
  })
}
// 新增会员营期
export function updateListCourseData(data) {
  return request({
    url: '/course/period/updateListCourseData',
    method: 'post',
    data: data
  })
}

// 修改会员营期
export function updatePeriod(data) {
  return request({
    url: '/course/period',
    method: 'put',
    data: data
  })
}

// 删除会员营期
export function delPeriod(periodId) {
  return request({
    url: '/course/period/' + periodId,
    method: 'delete'
  })
}

// 导出会员营期
export function exportPeriod(query) {
  return request({
    url: '/course/period/export',
    method: 'get',
    params: query
  })
}
